The bioBakery help forum

Humann2 failing with error about Diamond

Hello,I tried out a demo run,but failed with the error as following:
at first,I run the humann2 and give the path about Diamond ,it shows CRITICAL ERROR: Error executing: , Error message returned from diamond :, Error: Database was built with an older version of Diamond and is incompatible.


then I installed the latest Diamond ,diamond-2.0.4,and shows the same error
and the diamond help run successed ,the diamond test cases passed.
Any advice is highly appreciated!

Hello, Thank you for the detailed post and sorry for any confusion. HUMAnN is not currently compatible with the latest diamond version v2. If you would roll back your diamond install to v0.9.24 it should resolve the errors you are seeing.

Thank you,
Lauren